Search Marketplace Catalog
curl --request POST \
--url https://api.aegisintent.xyz/v1/marketplace/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Aegis-Email: <x-aegis-email>' \
--data '
{
"keyword": "<string>",
"category": "<string>",
"type": "<string>",
"limit": 49,
"offset": 123
}
'import requests
url = "https://api.aegisintent.xyz/v1/marketplace/search"
payload = {
"keyword": "<string>",
"category": "<string>",
"type": "<string>",
"limit": 49,
"offset": 123
}
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Aegis-Email': '<x-aegis-email>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
keyword: '<string>',
category: '<string>',
type: '<string>',
limit: 49,
offset: 123
})
};
fetch('https://api.aegisintent.xyz/v1/marketplace/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"services": [
{}
],
"total": 123,
"limit": 123,
"offset": 123
}
}Marketplace API (x402)
Search Catalog
Query, paginate, and search the Circle Marketplace service resources catalog by keyword, type, or category.
POST
/
v1
/
marketplace
/
search
Search Marketplace Catalog
Query, paginate, and search available service resources registered in the Circle Marketplace catalog.
Authorizations
BearerAuthAegisEmail
Provide raw API session token issued by /v1/connect/complete
Headers
Agent email address
Body
application/json
Was this page helpful?
⌘I